#!/usr/bin/env python3
"""authentication manager project"""
from setuptools import find_packages, setup

with open("README.rst", "r") as fobj:
    long_description = fobj.read()

setup(name='pyAuthManager',
      version='0.1.4.2',
      description="Authentication Manager with support of AWS, GCP and Azure.",
      long_description=long_description,
      platforms=["Linux", "Mac", "Windows"],
      author="Romuald Atchadé, Hervé Martin",
      author_email="romuald.atchade@tounilab.com, hervefranciscomartin@gmail.com",
      #   url="https://pymbook.readthedocs.io/en/latest/",
      license="MIT",
      packages=find_packages(),
      # Dependent packages (distributions)
      install_requires=[
        "boto3==1.26.8",
        "botocore==1.29.8",
        "CacheControl==0.12.11",
        "cachetools==5.2.0",
        "certifi==2022.9.24",
        "cffi==1.15.1",
        "charset-normalizer==2.1.1",
        "cryptography==38.0.3",
        "ecdsa==0.18.0",
        "firebase-admin==6.0.1",
        "google-api-core==2.10.2",
        "google-api-python-client==2.65.0",
        "google-auth==2.14.1",
        "google-auth-httplib2==0.1.0",
        "google-cloud-core==2.3.2",
        "google-cloud-firestore==2.7.2",
        "google-cloud-storage==2.6.0",
        "google-crc32c==1.5.0",
        "google-resumable-media==2.4.0",
        "googleapis-common-protos==1.56.4",
        "grpcio==1.50.0",
        "grpcio-status==1.50.0",
        "httplib2==0.21.0",
        "idna==3.4",
        "jmespath==1.0.1",
        "jose==1.0.0",
        "msgpack==1.0.4",
        "proto-plus==1.22.1",
        "protobuf==4.21.9",
        "pyasn1==0.4.8",
        "pyasn1-modules==0.2.8",
        "pycparser==2.21",
        "PyJWT==2.6.0",
        "pyparsing==3.0.9",
        "python-dateutil==2.8.2",
        "python-decouple==3.6",
        "python-jose==3.3.0",
        "requests==2.28.1",
        "rsa==4.9",
        "s3transfer==0.6.0",
        "six==1.16.0",
        "uritemplate==4.1.1",
        "urllib3==1.26.12",
      ],
)
